import manifest from '../_virtual/IMCTradingBV.svlangserver-0.4.1.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/language-configuration.json.raw.js';
import resource_1 from '../_virtual/tasks.schema.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/systemverilog.tmLanguage.json', async () => (await import('../_virtual/systemverilog.tmLanguage.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/codeblock.json', async () => (await import('../_virtual/codeblock.json.raw.js').then(module => module)).default);

  registerFile('snippets/systemverilog.json', async () => (await import('../_virtual/systemverilog.json.raw.js').then(module => module)).default);

  registerSyncFile('./language-configuration.json', resource_0, 'application/json');

  registerSyncFile('./schemas/tasks.schema.json', resource_1, 'application/json');
});
