import manifest from '../_virtual/REditorSupport.r-2.7.2.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/r-configuration.json.raw.js';
import resource_1 from '../_virtual/rd-configuration.json.raw.js';
import resource_2 from '../_virtual/rmd-configuration.json.raw.js';
import resource_3 from '../_virtual/dcf-configuration.json.raw.js';
import resource_4 from '../_virtual/rnamespace-configuration.json.raw.js';
import resource_5 from '../_virtual/rbuildignore-configuration.json.raw.js';
import resource_6 from '../_virtual/Rlogo.svg.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntax/r.json', async () => (await import('../_virtual/r.json.raw.js').then(module => module)).default);

  registerFile('syntax/Rd (R Documentation).json', async () => (await import('../_virtual/Rd (R Documentation).json.raw.js').then(module => module)).default);

  registerFile('syntax/dcf.json', async () => (await import('../_virtual/dcf.json.raw.js').then(module => module)).default);

  registerFile('syntax/RMarkdown.json', async () => (await import('../_virtual/RMarkdown.json.raw.js').then(module => module)).default);

  registerFile('syntax/Markdown Redcarpet.json', async () => (await import('../_virtual/Markdown Redcarpet.json.raw.js').then(module => module)).default);

  registerFile('syntax/Rcpp.json', async () => (await import('../_virtual/Rcpp.json.raw.js').then(module => module)).default);

  registerFile('syntax/rnamespace.json', async () => (await import('../_virtual/rnamespace.json.raw.js').then(module => module)).default);

  registerFile('syntax/rbuildignore.json', async () => (await import('../_virtual/rbuildignore.json.raw.js').then(module => module)).default);

  registerFile('snippets/r-snippets.json', async () => (await import('../_virtual/r-snippets.json.raw.js').then(module => module)).default);

  registerFile('snippets/rmarkdown.json', async () => (await import('../_virtual/rmarkdown.json.raw2.js').then(module => module)).default);

  registerSyncFile('./language/r-configuration.json', resource_0, 'application/json');

  registerSyncFile('./language/rd-configuration.json', resource_1, 'application/json');

  registerSyncFile('./language/rmd-configuration.json', resource_2, 'application/json');

  registerSyncFile('./language/dcf-configuration.json', resource_3, 'application/json');

  registerSyncFile('./language/rnamespace-configuration.json', resource_4, 'application/json');

  registerSyncFile('./language/rbuildignore-configuration.json', resource_5, 'application/json');

  registerSyncFile('./images/Rlogo.svg', resource_6, 'image/svg+xml');
});
