import manifest from '../_virtual/justusadam.language-haskell-3.6.0.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/haskell-configuration.json.raw.js';
import resource_1 from '../_virtual/cabal-configuration.json.raw.js';
import resource_2 from '../_virtual/C2Hs-configuration.json.raw.js';
import resource_3 from '../_virtual/Hsc2Hs-configuration.json.raw.js';
import resource_4 from '../_virtual/literate-haskell-configuration.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/haskell.json', async () => (await import('../_virtual/haskell.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/cabal.json', async () => (await import('../_virtual/cabal.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/C2Hs.json', async () => (await import('../_virtual/C2Hs.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/Hsc2Hs.json', async () => (await import('../_virtual/Hsc2Hs.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/literateHaskell.json', async () => (await import('../_virtual/literateHaskell.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/alex.json', async () => (await import('../_virtual/alex.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/happy.json', async () => (await import('../_virtual/happy.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/codeblock-haskell.json', async () => (await import('../_virtual/codeblock-haskell.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/codeblock-literate-haskell.json', async () => (await import('../_virtual/codeblock-literate-haskell.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/codeblock-cabal.json', async () => (await import('../_virtual/codeblock-cabal.json.raw.js').then(module => module)).default);

  registerSyncFile('./haskell-configuration.json', resource_0, 'application/json');

  registerSyncFile('./cabal-configuration.json', resource_1, 'application/json');

  registerSyncFile('./C2Hs-configuration.json', resource_2, 'application/json');

  registerSyncFile('./Hsc2Hs-configuration.json', resource_3, 'application/json');

  registerSyncFile('./literate-haskell-configuration.json', resource_4, 'application/json');
});
