import manifest from '../_virtual/ocamllabs.ocaml-platform-1.12.2.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/dune.json.raw3.js';
import resource_1 from '../_virtual/ocaml.json.raw3.js';
import resource_2 from '../_virtual/opam.json.raw2.js';
import resource_3 from '../_virtual/opam-install.json.raw2.js';
import resource_4 from '../_virtual/META.json.raw2.js';
import resource_5 from '../_virtual/ocamlbuild.json.raw2.js';
import resource_6 from '../_virtual/oasis.json.raw2.js';
import resource_7 from '../_virtual/ocamlformat.json.raw2.js';
import resource_8 from '../_virtual/ocamllex.json.raw3.js';
import resource_9 from '../_virtual/menhir.json.raw2.js';
import resource_10 from '../_virtual/reason.json.raw2.js';
import resource_11 from '../_virtual/logo.svg.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/dune.json', async () => (await import('../_virtual/dune.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/dune-project.json', async () => (await import('../_virtual/dune-project.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/dune-workspace.json', async () => (await import('../_virtual/dune-workspace.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/merlin.json', async () => (await import('../_virtual/merlin.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/ocaml-markdown-codeblock.json', async () => (await import('../_virtual/ocaml-markdown-codeblock.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/ocaml.json', async () => (await import('../_virtual/ocaml.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/ocaml.interface.json', async () => (await import('../_virtual/ocaml.interface.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/ocamlbuild.json', async () => (await import('../_virtual/ocamlbuild.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/ocamldoc.json', async () => (await import('../_virtual/ocamldoc.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/ocamlformat.json', async () => (await import('../_virtual/ocamlformat.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/ocamllex.json', async () => (await import('../_virtual/ocamllex.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/menhir-action.json', async () => (await import('../_virtual/menhir-action.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/menhir.json', async () => (await import('../_virtual/menhir.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/opam.json', async () => (await import('../_virtual/opam.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/opam-install.json', async () => (await import('../_virtual/opam-install.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/META.json', async () => (await import('../_virtual/META.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/oasis.json', async () => (await import('../_virtual/oasis.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/atd.json', async () => (await import('../_virtual/atd.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/reason-markdown-codeblock.json', async () => (await import('../_virtual/reason-markdown-codeblock.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/reason.json', async () => (await import('../_virtual/reason.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/cram.json', async () => (await import('../_virtual/cram.json.raw.js').then(module => module)).default);

  registerFile('snippets/dune.json', async () => (await import('../_virtual/dune.json.raw2.js').then(module => module)).default);

  registerFile('snippets/dune-project.json', async () => (await import('../_virtual/dune-project.json.raw2.js').then(module => module)).default);

  registerFile('snippets/ocaml.json', async () => (await import('../_virtual/ocaml.json.raw2.js').then(module => module)).default);

  registerFile('snippets/ocamllex.json', async () => (await import('../_virtual/ocamllex.json.raw2.js').then(module => module)).default);

  registerSyncFile('./languages/dune.json', resource_0, 'application/json');

  registerSyncFile('./languages/ocaml.json', resource_1, 'application/json');

  registerSyncFile('./languages/opam.json', resource_2, 'application/json');

  registerSyncFile('./languages/opam-install.json', resource_3, 'application/json');

  registerSyncFile('./languages/META.json', resource_4, 'application/json');

  registerSyncFile('./languages/ocamlbuild.json', resource_5, 'application/json');

  registerSyncFile('./languages/oasis.json', resource_6, 'application/json');

  registerSyncFile('./languages/ocamlformat.json', resource_7, 'application/json');

  registerSyncFile('./languages/ocamllex.json', resource_8, 'application/json');

  registerSyncFile('./languages/menhir.json', resource_9, 'application/json');

  registerSyncFile('./languages/reason.json', resource_10, 'application/json');

  registerSyncFile('assets/logo.svg', resource_11, 'image/svg+xml');
});
