import manifest from '../_virtual/redhat.java-1.18.2023042204.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/language-configuration.json.raw6.js';
import resource_1 from '../_virtual/java-properties-configuration.json.raw.js';
import resource_2 from '../_virtual/package.schema.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('language-support/properties/JavaProperties.tmLanguage.json', async () => (await import('../_virtual/JavaProperties.tmLanguage.json.raw.js').then(module => module)).default);

  registerFile('snippets/java.json', async () => (await import('../_virtual/java.json.raw.js').then(module => module)).default);

  registerSyncFile('./language-support/java/language-configuration.json', resource_0, 'application/json');

  registerSyncFile('./language-support/properties/java-properties-configuration.json', resource_1, 'application/json');

  registerSyncFile('./schemas/package.schema.json', resource_2, 'application/json');
});
