import manifest from '../_virtual/scalameta.metals-1.23.0.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/file_type_java.svg.raw.js';
import resource_1 from '../_virtual/file_type_scala.svg.raw.js';
import resource_2 from '../_virtual/book-dark.svg.raw.js';
import resource_3 from '../_virtual/book-light.svg.raw.js';
import resource_4 from '../_virtual/scalameta-logo.png.raw.js';
import resource_5 from '../_virtual/scalameta.svg.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/jvm-bytecode-verbose.json', async () => (await import('../_virtual/jvm-bytecode-verbose.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/jvm-bytecode.json', async () => (await import('../_virtual/jvm-bytecode.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/tasty.json', async () => (await import('../_virtual/tasty.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/buildtarget.json', async () => (await import('../_virtual/buildtarget.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/semanticdb.json', async () => (await import('../_virtual/semanticdb.json.raw.js').then(module => module)).default);

  registerSyncFile('icons/file_type_java.svg', resource_0, 'image/svg+xml');

  registerSyncFile('icons/file_type_scala.svg', resource_1, 'image/svg+xml');

  registerSyncFile('icons/book-dark.svg', resource_2, 'image/svg+xml');

  registerSyncFile('icons/book-light.svg', resource_3, 'image/svg+xml');

  registerSyncFile('icons/scalameta-logo.png', resource_4, 'image/png');

  registerSyncFile('images/scalameta.svg', resource_5, 'image/svg+xml');
});
