import manifest from '../_virtual/svelte.svelte-vscode-107.3.0.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/language-configuration.json.raw8.js';
import resource_1 from '../_virtual/prettier-options-schema.json.raw.js';
import resource_2 from '../_virtual/package-json-schema.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/svelte.tmLanguage.json', async () => (await import('../_virtual/svelte.tmLanguage.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/pug-svelte.json', async () => (await import('../_virtual/pug-svelte.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/pug-svelte-tags.json', async () => (await import('../_virtual/pug-svelte-tags.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/pug-svelte-dotblock.json', async () => (await import('../_virtual/pug-svelte-dotblock.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/markdown-svelte.json', async () => (await import('../_virtual/markdown-svelte.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/markdown-svelte-js.json', async () => (await import('../_virtual/markdown-svelte-js.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/markdown-svelte-css.json', async () => (await import('../_virtual/markdown-svelte-css.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/postcss.json', async () => (await import('../_virtual/postcss.json.raw.js').then(module => module)).default);

  registerFile('snippets/svelte.json', async () => (await import('../_virtual/svelte.json.raw.js').then(module => module)).default);

  registerFile('snippets/javascript.json', async () => (await import('../_virtual/javascript.json.raw.js').then(module => module)).default);

  registerFile('snippets/typescript.json', async () => (await import('../_virtual/typescript.json.raw.js').then(module => module)).default);

  registerSyncFile('./language-configuration.json', resource_0, 'application/json');

  registerSyncFile('./prettier-options-schema.json', resource_1, 'application/json');

  registerSyncFile('./package-json-schema.json', resource_2, 'application/json');
});
