import manifest from '../_virtual/webfreak.code-d-0.23.2.vsix_package.json.vsjson.js';
import { onExtHostInitialized, registerExtension } from 'vscode/extensions';
import resource_0 from '../_virtual/d.json.raw2.js';
import resource_1 from '../_virtual/general.json.raw.js';
import resource_2 from '../_virtual/diet.json.raw3.js';
import resource_3 from '../_virtual/dub.schema.json.raw.js';

onExtHostInitialized(() => {
  const { registerFile, registerSyncFile } = registerExtension(manifest);

  registerFile('syntaxes/d.json', async () => (await import('../_virtual/d.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/dml.json', async () => (await import('../_virtual/dml.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/sdl.json', async () => (await import('../_virtual/sdl.json.raw.js').then(module => module)).default);

  registerFile('syntaxes/diet.json', async () => (await import('../_virtual/diet.json.raw.js').then(module => module)).default);

  registerFile('snippets/diet.json', async () => (await import('../_virtual/diet.json.raw2.js').then(module => module)).default);

  registerSyncFile('./lang-configs/d.json', resource_0, 'application/json');

  registerSyncFile('./lang-configs/general.json', resource_1, 'application/json');

  registerSyncFile('./lang-configs/diet.json', resource_2, 'application/json');

  registerSyncFile('./json-validation/dub.schema.json', resource_3, 'application/json');
});
