import 'monaco-editor/esm/vs/language/json/monaco.contribution';
import * as monaco from 'monaco-editor/esm/vs/editor/editor.api';
import { synchronizeJsonSchemas, registerJsonSchema } from 'vscode/monaco';
import { onExtHostInitialized } from 'vscode/extensions';
import { registerWorkerLoader } from '../worker.js';

monaco.languages.json.jsonDefaults.setModeConfiguration({
    ...monaco.languages.json.jsonDefaults.modeConfiguration,
    tokens: false // Disable monarch tokenizer as we use TextMate here
});
monaco.languages.json.jsonDefaults.setDiagnosticsOptions({
    comments: 'ignore',
    validate: true,
    enableSchemaRequest: false
});
onExtHostInitialized(synchronizeJsonSchemas);
registerWorkerLoader('json', () => new Worker(new URL('monaco-editor/esm/vs/language/json/json.worker', import.meta.url)));
function addJsonSchema(schema) {
    return registerJsonSchema(schema);
}

export { addJsonSchema };
