import getViewsServiceOverride, { isEditorPartVisible } from 'vscode/service-override/views';
import getQuickAccessServiceOverride from 'vscode/service-override/quickaccess';
import { registerServices, editorOpenHandlerRegistry } from '../services.js';
import 'vscode/default-extensions/theme-seti';
import 'vscode/default-extensions/media-preview';
import 'vscode/default-extensions/markdown-language-features';
import 'vscode/default-extensions/markdown-math';

registerServices({
    ...getViewsServiceOverride((model, input, sideBySide) => {
        return editorOpenHandlerRegistry.openCodeEditor(model, input, sideBySide);
    }),
    ...getQuickAccessServiceOverride({
        isKeybindingConfigurationVisible: isEditorPartVisible,
        shouldUseGlobalPicker: isEditorPartVisible
    })
});
