import * as monaco from 'monaco-editor';
import { IReference, ITextFileEditorModel } from 'vscode/monaco';
import './extensions';
import './languages';
import './theme';
import './worker';
import 'monaco-editor/esm/vs/editor/editor.all';
import 'monaco-editor/esm/vs/editor/standalone/browser/iPadShowKeyboard/iPadShowKeyboard';
import { EditorOpenHandler } from './tools/EditorOpenHandlerRegistry';
declare const initializePromise: Promise<void>;
declare function createEditor(domElement: HTMLElement, options?: monaco.editor.IStandaloneEditorConstructionOptions): Promise<monaco.editor.IStandaloneCodeEditor>;
declare function createModelReference(resource: monaco.Uri, content?: string): Promise<IReference<ITextFileEditorModel>>;
declare function registerEditorOpenHandler(handler: EditorOpenHandler): monaco.IDisposable;
export { initializePromise, createEditor, createModelReference, registerEditorOpenHandler };
