import { errorHandler, createConfiguredEditor, createModelReference as createModelReference$1 } from 'vscode/monaco';
import { initialize, editorOpenHandlerRegistry } from './services.js';
import 'vscode/default-extensions/theme-defaults';
import 'vscode/default-extensions/clojure';
import 'vscode/default-extensions/coffeescript';
import 'vscode/default-extensions/cpp';
import 'vscode/default-extensions/csharp';
import 'vscode/default-extensions/css';
import 'vscode/default-extensions/diff';
import 'vscode/default-extensions/fsharp';
import 'vscode/default-extensions/go';
import 'vscode/default-extensions/groovy';
import 'vscode/default-extensions/html';
import 'vscode/default-extensions/java';
import 'vscode/default-extensions/javascript';
import 'vscode/default-extensions/json';
import 'vscode/default-extensions/julia';
import 'vscode/default-extensions/lua';
import 'vscode/default-extensions/markdown-basics';
import 'vscode/default-extensions/objective-c';
import 'vscode/default-extensions/perl';
import 'vscode/default-extensions/php';
import 'vscode/default-extensions/powershell';
import 'vscode/default-extensions/python';
import 'vscode/default-extensions/r';
import 'vscode/default-extensions/ruby';
import 'vscode/default-extensions/rust';
import 'vscode/default-extensions/scss';
import 'vscode/default-extensions/shellscript';
import 'vscode/default-extensions/sql';
import 'vscode/default-extensions/swift';
import 'vscode/default-extensions/typescript-basics';
import 'vscode/default-extensions/vb';
import 'vscode/default-extensions/xml';
import 'vscode/default-extensions/yaml';
import 'vscode/default-extensions/configuration-editing';
import 'vscode/default-extensions/npm';
import './extensions/Angular.ng-template-15.2.1.vsix.js';
import './extensions/Dart-Code.dart-code-3.63.20230419.vsix.js';
import './extensions/IMCTradingBV.svlangserver-0.4.1.vsix.js';
import './extensions/JakeBecker.elixir-ls-0.14.5.vsix.js';
import './extensions/JuanBlanco.solidity-0.0.152.vsix.js';
import './extensions/REditorSupport.r-2.7.2.vsix.js';
import './extensions/alefragnani.pascal-9.6.0.vsix.js';
import './extensions/batisteo.vscode-django-1.10.0.vsix.js';
import './extensions/bitwisecook.tcl-0.4.3.vsix.js';
import './extensions/broadcomMFD.cobol-language-support-1.2.1.vsix.js';
import './extensions/castwide.solargraph-0.24.0.vsix.js';
import './extensions/ckolkman.vscode-postgres-1.4.2.vsix.js';
import './extensions/golang.Go-0.38.0.vsix.js';
import './extensions/johnsoncodehk.vscode-angular-1.0.22.vsix.js';
import './extensions/justusadam.language-haskell-3.6.0.vsix.js';
import './extensions/mathiasfrohlich.Kotlin-1.7.1.vsix.js';
import './extensions/ms-dotnettools.csharp-1.25.4.vsix.js';
import './extensions/ms-python.python-2023.7.11111009.vsix.js';
import './extensions/ms-vscode.cpptools-1.15.2.vsix.js';
import './extensions/ocamllabs.ocaml-platform-1.12.2.vsix.js';
import './extensions/pgourlain.erlang-0.8.8.vsix.js';
import './extensions/redhat.java-1.18.2023042204.vsix.js';
import './extensions/scala-lang.scala-0.5.6.vsix.js';
import './extensions/scalameta.metals-1.23.0.vsix.js';
import './extensions/sumneko.lua-3.6.18.vsix.js';
import './extensions/svelte.svelte-vscode-107.3.0.vsix.js';
import './extensions/webfreak.code-d-0.23.2.vsix.js';
import './languages/index.js';
import './theme/index.js';
import './worker.js';
import setup from './editor/index.js';
import 'monaco-editor/esm/vs/editor/editor.all';
import 'monaco-editor/esm/vs/editor/standalone/browser/iPadShowKeyboard/iPadShowKeyboard';

errorHandler.setUnexpectedErrorHandler(error => {
    console.warn('Unexpected error', error);
});
const initializePromise = initialize();
async function createEditor(domElement, options) {
    await initializePromise;
    const editor = createConfiguredEditor(domElement, options);
    setup(editor);
    return editor;
}
async function createModelReference(resource, content) {
    await initializePromise;
    return createModelReference$1(resource, content);
}
function registerEditorOpenHandler(handler) {
    return editorOpenHandlerRegistry.registerEditorOpenHandler(handler);
}

export { createEditor, createModelReference, initializePromise, registerEditorOpenHandler };
