const workerLoaders = {
    editorWorkerService: () => new Worker(new URL('monaco-editor/esm/vs/editor/editor.worker', import.meta.url)),
    textMateWorker: () => new Worker(new URL('vscode/workers/textMate.worker', import.meta.url)),
    outputLinkComputer: () => new Worker(new URL('vscode/workers/outputLinkComputer.worker', import.meta.url))
};
// Do not use monaco-editor-webpack-plugin because it doesn't handle properly cross origin workers
window.MonacoEnvironment = {
    getWorker: function (moduleId, label) {
        const workerFactory = workerLoaders[label];
        if (workerFactory != null) {
            return workerFactory();
        }
        throw new Error(`Unimplemented worker ${label} (${moduleId})`);
    }
};
