var manifest = {name:"elixir-ls",displayName:"ElixirLS: Elixir support and debugger",homepage:"https://github.com/elixir-lsp/elixir-ls",repository:{type:"git",url:"https://github.com/elixir-lsp/vscode-elixir-ls.git"},icon:"images/logo.png",description:"Elixir support with debugger, autocomplete, and more. Powered by ElixirLS.",author:"The Elixir community",license:"MIT",publisher:"JakeBecker",version:"0.14.5",engines:{vscode:"^1.75.0"},sponsor:{url:"https://github.com/sponsors/elixir-lsp"},categories:["Programming Languages","Debuggers","Linters","Testing","Formatters"],keywords:["elixir","mix","dialyzer","multi-root ready"],activationEvents:["onLanguage:phoenix-heex","onLanguage:surface","workspaceContains:mix.exs","onDebugResolve:elixir"],main:"./out/extension",contributes:{configurationDefaults:{"[elixir]":{"editor.insertSpaces":true,"editor.tabSize":2,"editor.wordBasedSuggestions":false,"editor.formatOnType":true,"editor.trimAutoWhitespace":false,"files.trimTrailingWhitespace":true,"files.insertFinalNewline":true,"files.trimFinalNewlines":true},"[html-eex]":{"editor.trimAutoWhitespace":false,"files.trimTrailingWhitespace":true,"files.insertFinalNewline":true,"files.trimFinalNewlines":true}},configuration:{title:"ElixirLS",properties:{"elixirLS.autoBuild":{scope:"resource",type:"boolean","default":true,description:"Trigger ElixirLS build when code is saved"},"elixirLS.dialyzerEnabled":{scope:"resource",type:"boolean","default":true,description:"Run ElixirLS's rapid Dialyzer when code is saved"},"elixirLS.dialyzerWarnOpts":{scope:"resource",description:"Dialyzer options to enable or disable warnings. See Dialyzer's documentation for options. Note that the \"race_conditions\" option is unsupported",type:"array",uniqueItems:true,items:{type:"string","enum":["error_handling","extra_return","missing_return","no_behaviours","no_contracts","no_fail_call","no_fun_app","no_improper_lists","no_match","no_missing_calls","no_opaque","no_return","no_undefined_callbacks","no_unused","underspecs","unknown","unmatched_returns","overspecs","specdiffs","no_underspecs","no_extra_return","no_missing_return"]},"default":[]},"elixirLS.dialyzerFormat":{scope:"resource",description:"Formatter to use for Dialyzer warnings",type:"string","enum":["dialyzer","dialyxir_short","dialyxir_long"],markdownEnumDescriptions:["Original Dialyzer format","Same as `mix dialyzer --format short`","Same as `mix dialyzer --format long`"],"default":"dialyxir_long"},"elixirLS.envVariables":{scope:"resource",type:"object",description:"Environment variables to use for compilation",minLength:0},"elixirLS.mixEnv":{scope:"resource",type:"string",description:"Mix environment to use for compilation","default":"test",minLength:1},"elixirLS.mixTarget":{scope:"resource",type:"string",description:"Mix target to use for compilation",minLength:0},"elixirLS.projectDir":{scope:"resource",type:"string",description:"Subdirectory containing Mix project if not in the project root",minLength:0,"default":""},"elixirLS.fetchDeps":{scope:"resource",type:"boolean",description:"Automatically fetch project dependencies when compiling","default":false},"elixirLS.suggestSpecs":{scope:"resource",type:"boolean",description:"Suggest @spec annotations inline using Dialyzer's inferred success typings (Requires Dialyzer)","default":true},"elixirLS.trace.server":{scope:"window",type:"string","enum":["off","messages","verbose"],"default":"off",description:"Traces the communication between VS Code and the Elixir language server."},"elixirLS.signatureAfterComplete":{scope:"resource",type:"boolean",description:"Show signature help after confirming autocomplete","default":true},"elixirLS.enableTestLenses":{scope:"resource",type:"boolean",description:"Show code lenses to run tests in terminal","default":false},"elixirLS.additionalWatchedExtensions":{scope:"resource",type:"array",description:"Additional file types capable of triggering a build on change",uniqueItems:true,items:{type:"string"},"default":[]},"elixirLS.languageServerOverridePath":{scope:"resource",type:"string",description:"Absolute path to alternative ElixirLS release that will override packaged release.",minLength:0}}},languages:[{id:"elixir",aliases:["Elixir","elixir"],extensions:[".ex",".exs"],filenames:["mix.lock"],configuration:"./elixir-language-configuration.json"},{id:"eex",aliases:["Embedded Elixir","EEx","eex"],extensions:[".eex",".leex",".heex"],configuration:"./eex-language-configuration.json"},{id:"html-eex",aliases:["HTML (Embedded Elixir)","HTML (EEx)"],extensions:[".html.eex",".html.leex",".html.heex"],configuration:"./eex-language-configuration.json"}],grammars:[{language:"elixir",scopeName:"source.elixir",path:"./syntaxes/elixir.json"},{language:"eex",scopeName:"text.elixir",path:"./syntaxes/eex.json"},{language:"html-eex",scopeName:"text.html.elixir",path:"./syntaxes/html-eex.json"}],problemMatchers:[{name:"mixCompileError",owner:"elixir",fileLocation:["relative","${workspaceRoot}"],severity:"error",pattern:{regexp:"^\\*\\* \\((\\w+)\\) (.*):(\\d+): (.*)$",file:2,location:3,message:0}},{name:"mixCompileWarning",owner:"elixir",fileLocation:["relative","${workspaceRoot}"],severity:"warning",pattern:[{regexp:"^warning: (.*)$",message:1},{regexp:"^  (.*):(\\d+)(.*)$",file:1,location:2,message:3}]},{name:"mixTestFailure",owner:"elixir",fileLocation:["relative","${workspaceRoot}"],severity:"warning",pattern:[{regexp:"^\\s*\\d+\\) (.*)$",message:1},{regexp:"^\\s*(.*):(\\d+)$",file:1,location:2}]}]},scripts:{"vscode:prepublish":"npm run compile",compile:"tsc -b",watch:"tsc -b -w","update-vscode":"node ./node_modules/vscode/bin/install",test:"node ./out/test/runTest.js",lint:"eslint . --ext .js,.ts","check-formatting":"prettier --check ./src/ .*.js ","fix-formatting":"prettier --write ./src/ .*.js "},devDependencies:{"@types/glob":"^7.2.0","@types/mocha":"^9.1.1","@types/node":"^16.0.0","@types/shelljs":"^0.8.11","@types/vscode":"~1.75.0","@typescript-eslint/eslint-plugin":"^5.57.1","@typescript-eslint/parser":"^5.57.1",eslint:"^8.37.0","eslint-config-prettier":"^8.8.0",glob:"^7.2.2",mocha:"^9.2.2",prettier:"^2.8.7",typescript:"~5.0.3","@vscode/test-electron":"^2.3.0"},dependencies:{shelljs:"^0.8.5","vscode-languageclient":"^8.1.0"}};

export { manifest as default };
