var manifest = {name:"solidity",description:"Ethereum Solidity Language for Visual Studio Code",keywords:["solidity","ethereum","blockchain","compiler","solium","nethereum","solhint"],version:"0.0.152",publisher:"JuanBlanco",license:"MIT",engines:{vscode:"^1.60.0"},contributors:["Juan Blanco"],bugs:{url:"https://github.com/juanfranblanco/vscode-solidity/issues"},icon:"images/icon.png",repository:{type:"git",url:"https://github.com/juanfranblanco/vscode-solidity"},categories:["Programming Languages","Snippets"],activationEvents:["onLanguage:solidity","onCommand:solidity.compile","onCommand:solidity.codegenNethereumCodeGenSettings","onCommand:solidity.compile.active","onCommand:solidity.codegenCSharpProject","onCommand:solidity.codegenVbNetProject","onCommand:solidity.codegenFSharpProject","onCommand:solidity.codegenCSharpProjectAll","onCommand:solidity.codegenVbNetProjectAll","onCommand:solidity.codegenFSharpProjectAll","onCommand:solidity.fixDocument"],main:"./out/src/extension",scripts:{"vscode:prepublish":"npm run compile","package":"vsce package",compile:"tsc -p ./",watch:"tsc -watch -p ./",test:"nyc --require ts-node/register --require source-map-support/register mocha test/**/*.spec.ts"},dependencies:{"@iarna/toml":"^2.2.5",ajv:"^6.10.2","ajv-keywords":"^3.4.1",chai:"^4.2.0","find-cache-dir":"^2.1.0","fs-extra":"^4.0.3",glob:"^8.1.0",mkdirp:"^0.5.1","nethereum-codegen":"^1.0.22",prettier:"^2.8.4","prettier-plugin-solidity":"^1.1.2","require-from-string":"^2.0.2",solc:"^0.8.19",solhint:"^3.4.0",solium:"^1.2.5","solparse-exp-jb":"3.0.0","vscode-languageclient":"^7.0.0","vscode-languageserver":"^7.0.0","vscode-languageserver-textdocument":"^1.0.1","vscode-uri":"3.0.2","yaml-js":"0.2.3"},devDependencies:{"@types/node":"^11.15.3","@types/vscode":"^1.60.0","ts-node":"^7.0.1",tslint:"^5.20.1",typescript:"^3.7.3",vsce:"^2.12.0"},nyc:{extension:[".ts"],include:["src/**/*.ts"],exclude:["**/*.d.ts","out","dist"],all:true},contributes:{configuration:{type:"object",title:"Solidity configuration",properties:{"solidity.nodemodulespackage":{type:"string","default":"solc",description:"The node modules package to find the solcjs compiler"},"solidity.compileUsingRemoteVersion":{type:"string","default":"latest",description:"Configuration to download a 'remote' solc (js) version binary file from 'https://binaries.soliditylang.org/', for example: 'latest' will always use the latest version, or a specific version like: 'v0.4.3+commit.2353da71', use the command 'Solidity: Get solidity releases' to list all versions available, or just right click in a solidity file and select either `Solidity: Change global compiler version (Remote)` or `Solidity: Change workspace compiler version (Remote)` to use the wizard to set the correct version or setting for either the current workspace or globally"},"solidity.compilerOptimization":{type:"number","default":200,description:"Optimize for how many times you intend to run the code. Lower values will optimize more for initial deployment cost, higher values will optimize more for high-frequency usage."},"solidity.compileUsingLocalVersion":{type:"string","default":"",description:"Compile using a local solc (js) binary file, please include the path of the file if wanted: 'C://v0.4.3+commit.2353da71.js'"},"solidity.defaultCompiler":{type:"string",description:"Sets the default compiler and compiler configuration to use. Remote will use the configured compiler using the setting 'compileUsingRemoteVersion' downloaded from https://binaries.soliditylang.org/', `localFile` will use the solc file in the location configured in the setting: `compileUsingLocalVersion`, `localNodeModule` will attempt to find the solc file in the node_modules folder / package configured on 'nodemodulespackage' and 'embedded' which will use the solc version packaged with the extension. The default is 'remote' which is configured as 'latest'","enum":["remote","localFile","localNodeModule","embedded"],"default":"remote"},"solidity.linter":{type:"string","enum":["","solhint","solium"],"default":"solhint",description:"Enables linting using either solium (ethlint) or solhint. Possible options 'solhint' and 'solium', the default is solhint"},"solidity.solhintRules":{type:["object"],"default":null,description:"Solhint linting validation rules"},"solidity.formatter":{type:"string","default":"prettier","enum":["none","prettier","forge"],description:"Enables / disables the solidity formatter prettier (default) or forge (note it needs to be installed)"},"solidity.soliumRules":{type:["object"],"default":{"imports-on-top":0,"variable-declarations":0,indentation:["off",4],quotes:["off","double"]},description:"Solium linting validation rules"},"solidity.enabledAsYouTypeCompilationErrorCheck":{type:"boolean","default":true,description:"Enables as you type compilation of the document and error highlighting"},"solidity.validationDelay":{type:"number","default":1500,description:"Delay to trigger the validation of the changes of the current document (compilation, solium)"},"solidity.packageDefaultDependenciesDirectory":{type:"string","default":"node_modules",description:"Default directory for Packages Dependencies, i.e: 'node_modules', 'lib'. This is used to avoid typing imports with that path prefix"},"solidity.monoRepoSupport":{type:"boolean","default":false,description:"Enables mono repo support in the current workspace, a project folder will be signaled if a file is found on the current folder or above including: remappings.txt, truffle-config.js, brownie-config.yaml, foundry.toml, hardhat.config.js, dappfile"},"solidity.packageDefaultDependenciesContractsDirectory":{type:"string","default":"",description:"Default directory where the Package Dependency store its contracts, i.e: 'src', 'contracts', or just a blank string '', this is used to avoid typing imports with subfolder paths"},"solidity.remappings":{type:"array","default":[],description:"Remappings to resolve contracts to local files / directories, i.e: [\"@openzeppelin/=lib/openzeppelin-contracts\",\"ds-test/=lib/ds-test/src/\"]"},"solidity.remappingsWindows":{type:"array","default":[],description:"Windows Remappings to resolve contracts to local Windows files / directories (Note this overrides the generic remapping settings if the OS is Windows) , i.e: [\"@openzeppelin/=C:/lib/openzeppelin-contracts\",\"ds-test/=C:/lib/ds-test/src/\"]"},"solidity.remappingsUnix":{type:"array","default":[],description:"Unix Remappings to resolve contracts to local Unix files / directories (Note this overrides the generic remapping settings if the OS is Unix based), i.e: [\"@openzeppelin/=/opt/lib/openzeppelin-contracts\",\"ds-test/=/opt/lib/ds-test/src/\"]"}}},languages:[{id:"solidity",aliases:["Solidity","solidity"],extensions:[".sol"],configuration:"./solidity.configuration.json"}],snippets:[{language:"solidity",path:"./snippets/solidity.json"}],grammars:[{language:"solidity",scopeName:"source.solidity",path:"./syntaxes/solidity.json",balancedBracketScopes:["*"],unbalancedBracketScopes:["meta.scope.case-pattern.solidity"]}]}};

export { manifest as default };
