var manifest = {name:"ocaml-platform",displayName:"OCaml Platform",description:"Official OCaml language extension for VSCode",license:"MIT",version:"1.12.2",publisher:"ocamllabs",repository:{type:"git",url:"https://github.com/ocamllabs/vscode-ocaml-platform"},bugs:{url:"https://github.com/ocamllabs/vscode-ocaml-platform/issues"},homepage:"https://github.com/ocamllabs/vscode-ocaml-platform",main:"./dist/vscode_ocaml_platform.bc.js",engines:{vscode:"^1.64.0"},categories:["Programming Languages"],activationEvents:["onLanguage:ocaml","onLanguage:ocaml.interface","onLanguage:reason","onLanguage:ocaml.ocamllex","onLanguage:ocaml.menhir","onLanguage:dune","onLanguage:dune-project","onLanguage:dune-workspace","onLanguage:cram","onCommand:ocaml.select-sandbox","onCommand:ocaml.open-terminal","onCommand:ocaml.open-terminal-select","onCommand:ocaml.open-ast-explorer-to-the-side","onCommand:ocaml.show-preprocessed-document","onCommand:ocaml.open-pp-editor-and-ast-explorer","onCommand:ocaml.stop-documentation-server","onCustomEditor:ast-editor","onCustomEditor:cm-files-editor","workspaceContains:**/dune-workspace","workspaceContains:**/dune","workspaceContains:**/dune-project","workspaceContains:**/*.opam","workspaceContains:**/*.ml","workspaceContains:**/*.mli","workspaceContains:**/*.mll","workspaceContains:**/*.mly","workspaceContains:**/*.re","workspaceContains:**/*.rei"],icon:"assets/logo.png",contributes:{viewsContainers:{activitybar:[{id:"ocaml-explorer",title:"OCaml",icon:"assets/logo.svg"}]},configuration:{title:"OCaml Platform",properties:{"ocaml.sandbox":{type:"object","default":null,description:"Determines where to find the sandbox for a given project"},"ocaml.server.extraEnv":{type:["null","object"],"default":null,markdownDescription:"Extra environment variables that will be passed to OCaml LSP executable. Useful for debugging purposes mostly."},"ocaml.server.args":{type:"array",items:"string","default":[],markdownDescription:"Extra arguments to pass to ocamllsp."},"ocaml.dune.autoDetect":{type:"boolean","default":true,description:"Controls whether dune tasks should be automatically detected."},"ocaml.trace.server":{description:"Controls the logging output of the language server. Valid settings are `off`, `messages`, or `verbose`.",type:"string","enum":["off","messages","verbose"],"default":"off"},"ocaml.useOcamlEnv":{type:"boolean","default":true,description:"Controls whether to use ocaml-env (if available) for opam commands from OCaml for Windows."},"ocaml.terminal.shell.linux":{description:"The path of the shell that the sandbox terminal uses on Linux",type:["string","null"],"default":null},"ocaml.terminal.shell.osx":{description:"The path of the shell that the sandbox terminal uses on macOS",type:["string","null"],"default":null},"ocaml.terminal.shell.windows":{description:"The path of the shell that the sandbox terminal uses on Windows",type:["string","null"],"default":null},"ocaml.terminal.shellArgs.linux":{description:"The command line arguments that the sandbox terminal uses on Linux",type:["array","null"],items:"string","default":null},"ocaml.terminal.shellArgs.osx":{description:"The command line arguments that the sandbox terminal uses on macOS",type:["array","null"],items:"string","default":null},"ocaml.terminal.shellArgs.windows":{description:"The command line arguments that the sandbox terminal uses on Window",type:["array","null"],items:"string","default":null},"ocaml.repl.path":{description:"The path of the REPL that the extension uses",type:["string","null"],"default":null},"ocaml.repl.args":{description:"The REPL arguments that the extension uses",type:["array","null"],items:"string","default":null},"ocaml.repl.useUtop":{type:"boolean","default":true,description:"Controls whether to use Utop for the REPL if it is installed in the current switch."}}},configurationDefaults:{"[ocaml]":{"editor.tabSize":2,"editor.insertSpaces":true},"[dune]":{"editor.tabSize":1,"editor.insertSpaces":true},"[dune-project]":{"editor.tabSize":1,"editor.insertSpaces":true},"[dune-workspace]":{"editor.tabSize":1,"editor.insertSpaces":true},"[cram]":{"editor.tabSize":2,"editor.insertSpaces":true}},problemMatchers:[{name:"ocamlc",fileLocation:["relative","${workspaceFolder}"],pattern:[{regexp:"^\\s*\\bFile\\b\\s*\"(.*)\",\\s*\\blines?\\b\\s*(\\d+)(?:-(\\d+))?(?:,\\s*\\bcharacters\\b\\s*(\\d+)-(\\d+)\\s*)?:\\s*$",file:1,line:2,endLine:3,column:4,endColumn:5},{regexp:"^(?:\\s*\\bParse\\b\\s*)?\\s*\\b([Ee]rror|Warning)\\b\\s*(?:(?:\\(\\s*\\bwarning\\b\\s*)?(\\d+)\\)?)?\\s*:\\s*(.*)$",severity:1,code:2,message:3}]}],languages:[{id:"dune",aliases:["dune"],extensions:["dune","jbuild"],configuration:"./languages/dune.json"},{id:"dune-project",aliases:["dune project"],extensions:["dune-project"],configuration:"./languages/dune.json"},{id:"dune-workspace",aliases:["dune workspace"],filenames:["dune-workspace"],filenamePatterns:["dune-workspace.*"],configuration:"./languages/dune.json"},{id:"ocaml.merlin",aliases:["Merlin","merlin"],extensions:[".merlin"]},{id:"ocaml",aliases:["OCaml","ocaml"],extensions:[".ml",".eliom",".ocamlinit"],configuration:"./languages/ocaml.json"},{id:"ocaml.interface",aliases:["OCaml Interface","ocaml interface"],extensions:[".mli",".eliomi"],configuration:"./languages/ocaml.json"},{id:"ocaml.opam",aliases:["opam"],filenames:["opam"],extensions:[".opam",".opam.locked",".opam.template"],configuration:"./languages/opam.json"},{id:"ocaml.opam-install",aliases:["opam install"],extensions:[".install"],configuration:"./languages/opam-install.json"},{id:"ocaml.META",aliases:["META","meta"],filenames:["META"],configuration:"./languages/META.json"},{id:"ocaml.ocamlbuild",aliases:["OCamlbuild","ocamlbuild"],extensions:["_tags"],configuration:"./languages/ocamlbuild.json"},{id:"ocaml.oasis",aliases:["OASIS","oasis"],extensions:["_oasis"],configuration:"./languages/oasis.json"},{id:"ocaml.ocamldoc",aliases:["OCamldoc","ocamldoc"],extensions:[".mld"]},{id:"ocaml.ocamlformat",aliases:["OCamlFormat","ocamlformat"],extensions:[".ocamlformat"],configuration:"./languages/ocamlformat.json"},{id:"ocaml.ocamllex",aliases:["OCamllex","ocamllex"],extensions:[".mll"],configuration:"./languages/ocamllex.json"},{id:"ocaml.menhir",aliases:["Menhir","menhir","OCamlyacc","ocamlyacc"],extensions:[".mly"],configuration:"./languages/menhir.json"},{id:"atd",aliases:["ATD","atd"],extensions:[".atd"],configuration:"./languages/ocaml.json"},{id:"reason",aliases:["Reason","reason"],extensions:[".re",".rei"],configuration:"./languages/reason.json"},{id:"cram",aliases:["Cram Test","Cram","cram"],extensions:[".t"]}],grammars:[{language:"dune",scopeName:"source.dune",path:"./syntaxes/dune.json"},{language:"dune-project",scopeName:"source.dune-project",path:"./syntaxes/dune-project.json"},{language:"dune-workspace",scopeName:"source.dune-workspace",path:"./syntaxes/dune-workspace.json"},{language:"ocaml.merlin",scopeName:"source.ocaml.merlin",path:"./syntaxes/merlin.json"},{scopeName:"markdown.ocaml.codeblock",path:"./syntaxes/ocaml-markdown-codeblock.json",injectTo:["text.html.markdown"],embeddedLanguages:{"meta.embedded.block.ocaml":"ocaml"}},{language:"ocaml",scopeName:"source.ocaml",path:"./syntaxes/ocaml.json"},{language:"ocaml.interface",scopeName:"source.ocaml.interface",path:"./syntaxes/ocaml.interface.json"},{language:"ocaml.ocamlbuild",scopeName:"source.ocaml.ocamlbuild",path:"./syntaxes/ocamlbuild.json"},{language:"ocaml.ocamldoc",scopeName:"source.ocaml.ocamldoc",path:"./syntaxes/ocamldoc.json"},{language:"ocaml.ocamlformat",scopeName:"source.ocaml.ocamlformat",path:"./syntaxes/ocamlformat.json"},{language:"ocaml.ocamllex",scopeName:"source.ocaml.ocamllex",path:"./syntaxes/ocamllex.json"},{scopeName:"source.action.menhir",path:"./syntaxes/menhir-action.json",injectTo:["source.ocaml"]},{language:"ocaml.menhir",scopeName:"source.ocaml.menhir",path:"./syntaxes/menhir.json",embeddedLanguages:{"source.embedded-action.menhir":"source.action.menhir"}},{language:"ocaml.opam",scopeName:"source.ocaml.opam",path:"./syntaxes/opam.json"},{language:"ocaml.opam-install",scopeName:"source.ocaml.opam-install",path:"./syntaxes/opam-install.json"},{language:"ocaml.META",scopeName:"source.ocaml.META",path:"./syntaxes/META.json"},{language:"ocaml.oasis",scopeName:"source.ocaml.oasis",path:"./syntaxes/oasis.json"},{language:"atd",scopeName:"source.atd",path:"./syntaxes/atd.json"},{scopeName:"markdown.reason.codeblock",path:"./syntaxes/reason-markdown-codeblock.json",injectTo:["text.html.markdown"],embeddedLanguages:{"meta.embedded.block.reason":"reason"}},{language:"reason",scopeName:"source.reason",path:"./syntaxes/reason.json"},{language:"cram",scopeName:"source.cram",path:"./syntaxes/cram.json"}],snippets:[{language:"dune",path:"./snippets/dune.json"},{language:"dune-project",path:"./snippets/dune-project.json"},{language:"ocaml",path:"./snippets/ocaml.json"},{language:"ocaml.ocamllex",path:"./snippets/ocamllex.json"}],jsonValidation:[{fileMatch:"esy.json",url:"https://raw.githubusercontent.com/esy/esy-schema/master/esySchema.json"}],customEditors:[{viewType:"ast-editor",displayName:"OCaml AST preview",priority:"option",selector:[{filenamePattern:"*.ml"},{filenamePattern:"*.mli"}]},{viewType:"cm-files-editor",displayName:"OCaml Compilation Artifact Viewer",selector:[{filenamePattern:"*.cmi"},{filenamePattern:"*.cmt"},{filenamePattern:"*.cmti"},{filenamePattern:"*.cmo"},{filenamePattern:"*.cma"},{filenamePattern:"*.cmx"},{filenamePattern:"*.cmxa"},{filenamePattern:"*.cmxs"},{filenamePattern:"*.bc"}]}]},scripts:{"test:esy":"node ./test/runEsyTests.js","test:opam":"node ./test/runOpamTests.js","test:problems":"node ./test/runProblemMatcherTests.js",test:"npm-run-all -s test:*","package":"vsce package --out ocaml-platform.vsix --yarn","deploy:vsce":"vsce publish --packagePath ocaml-platform.vsix --yarn","deploy:ovsx":"ovsx publish --yarn","fmt:check":"prettier . --check",fmt:"prettier . --write"},dependencies:{polka:"^1.0.0-next.22",sirv:"^2.0.2","vscode-languageclient":"8.0.2"},devDependencies:{"@types/vscode":"1.64.0",esbuild:"0.15.16","fs-extra":"10.0.1",mocha:"9.2.2","npm-run-all":"4.1.5",ovsx:"0.1.0-next.97d460c",prettier:"2.5.1",vsce:"2.14.0","vscode-test":"1.6.1"},prettier:{proseWrap:"always",endOfLine:"auto",overrides:[{files:"*.yml",options:{proseWrap:"preserve"}}]}};

export { manifest as default };
